> For the complete documentation index, see [llms.txt](https://docs.bluebubbles.app/server/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluebubbles.app/server/basic-guides/migrating-servers.md).

# Migrating Servers

{% hint style="info" %}
This guide does not cover redoing the Private API setup. You will need to do that on your own if you want to use those features.
{% endhint %}

1. On your **old** BlueBubbles Mac, backup the following folder:
   * `~/Library/Application\ Support/bluebubbles-server`
2. Open the `Messages` app `Settings` from the macOS status bar.
3. Navigate to the `iMessage` tab
4. Turn on `Enable Messages in iCloud` to backup your messages to iCloud
   * If you do not care to backup your messages to iCloud, skip this step
   * If the option wasn't already enabled, click the `Sync Now` button and give your Mac some time to fully sync the messages (\~24 hrs to be safe)
5. On your **new** BlueBubbles Mac, sign into iMessage and wait for your messages to sync
   * Note: It's always good to confirm you can send iMessages using the native Messages app before proceeding.
6. On your **new** BlueBubbles Mac, copy the `bluebubbles-server` folder that you backed up, back to the  `~/Library/Application\ Support/` folder.
7. Re-download and install the latest BlueBubbles Server from the GitHub [Releases page](https://github.com/BlueBubblesApp/bluebubbles-server/releases)
8. &#x20;Run the BlueBubbles Server
9. If everything is running properly, you can shutdown your **old** Mac

{% hint style="info" %}
**Once this process is complete, make sure you reset your BlueBubbles clients! The underlying macOS database differs from one Mac to another and issues will arise if you do not perform a reset/re-sync on the client-side**
{% endhint %}

If done correctly, your BlueBubbles server should use the same settings from your old Mac, including your Firebase setup, Certificates, etc.

Enjoy!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluebubbles.app/server/basic-guides/migrating-servers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
